/*
 * Bargraph.h - Bargraph widget for X11 Toolkit
 * 
 * Author:	Mike Yang
 * 		Western Research Laboratory
 *	 	Digital Equipment Corporation
 * Date:	Mon Aug 9 1988, fix for R3 Wed Mar 8 1989
 * Copyright (c) 1988 Mike Yang
 *
 * A slight modification of code taken from the Scrollbar widget
 *
 */

#ifndef _Bargraph_h
#define _Bargraph_h

#include <X11/Xmu/Xmu.h>

#define XtNfillColor            "fillcolor"
#define XtNfillPixmap           "fillpixmap"

#define XtCShown		"Shown"
#define XtCTop			"Top"

/* should this be here, or in Atoms.h equivalent? */
#define XtCFillColor            "FillColor"
#define XtCFillPixmap           "FillPixmap"

/* Not necessary for R3: in <X11/Xmu.h>
#ifndef _XtOrientation_e
#define _XtOrientation_e

typedef enum {XtorientHorizontal, XtorientVertical} XtOrientation;
#endif _XtOrientation_e
*/

typedef struct _BargraphRec	  *BargraphWidget;
typedef struct _BargraphClassRec *BargraphWidgetClass;

extern WidgetClass bargraphWidgetClass;

extern void XtBargraphSetValue(); /* bargraph, top */
/* Widget bargraph; */
/* float top; */

#endif _Bargraph_h

